org.eclipse.mat.ui.internal.acquire

## Class AcquireSnapshotAction.AcquireWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.mat.ui.internal.acquire.AcquireSnapshotAction.AcquireWizard

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.IWorkbenchWizard

Enclosing class:
  AcquireSnapshotAction

    public static class AcquireSnapshotAction.AcquireWizard
    extends org.eclipse.jface.wizard.Wizard
    implements org.eclipse.ui.IWorkbenchWizard

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
Constructor and Description
`AcquireWizard()`
`AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`boolean` `canFinish()`
`org.eclipse.jface.wizard.IWizardPage` `getStartingPage()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

### Constructor Detail

#### AcquireWizard

    public AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)

#### AcquireWizard

    public AcquireWizard()

### Method Detail

#### addPages

    public void addPages()

Specified by:
  `addPages` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `addPages` in class `org.eclipse.jface.wizard.Wizard`

#### performFinish

    public boolean performFinish()

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`

#### canFinish

    public boolean canFinish()

Specified by:
  `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `canFinish` in class `org.eclipse.jface.wizard.Wizard`

#### getStartingPage

    public org.eclipse.jface.wizard.IWizardPage getStartingPage()

Specified by:
  `getStartingPage` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `getStartingPage` in class `org.eclipse.jface.wizard.Wizard`

#### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchWizard`